﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class FadeBackdrop : MonoBehaviour 
{
	MeshRenderer myRenderer;
	bool haveFadedOut = false;
	bool haveFadedIn = false;

	// Use this for initialization
	void Start()
	{
		myRenderer = GetComponent<MeshRenderer>();
	}
	
	// Update is called once per frame
	void Update()
	{
		if( Input.GetKeyDown("f") && !haveFadedOut )
		{
			StartCoroutine( "FadeOut" );
			haveFadedOut = true;
		}

		if( Input.GetKeyDown("q") && !haveFadedIn )
		{
			// move in front of objects
			Vector3 pos = transform.position;
			pos.z = -8;
			transform.position = pos;

			// fade back in
			StartCoroutine( "FadeIn" );
			haveFadedIn = true;
		}	
	}

	IEnumerator FadeOut() 
	{
		for (float f = 1f; f >= 0; f -= 0.002f) 
		{
			Color c = myRenderer.material.color;
			c.a = f;
			myRenderer.material.color = c;
			yield return null;
		}
	}

	IEnumerator FadeIn() 
	{
		for (float f = 0f; f <= 1; f += 0.005f) 
		{
			Color c = myRenderer.material.color;
			c.a = f;
			myRenderer.material.color = c;
			yield return null;
		}
	}
}

