﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class GarbagePatch : MonoBehaviour 
{
	public float spawnHeight = 20;
	public float spawnSpin = 0.3f;

	void Awake()
	{
		// Stack rigidbody-children so they don't asplode
		int i = 0;
		foreach( Rigidbody child in gameObject.GetComponentsInChildren<Rigidbody>() )
		{
			i++;
			child.transform.localPosition = new Vector3(
				Random.Range( -5f, 5f ),
				i * 8,
				Random.Range( -5f, 5f )
			);
		}
	}
	public void GiveGarbage( Transform prefab )
	{
		// spawn
		Transform obj = Instantiate( prefab, transform );
		
		// place above me
		obj.localPosition = spawnHeight * Vector3.up; 

		// let fall
		Rigidbody r = obj.GetComponent<Rigidbody>();
		r.isKinematic = false;
		r.useGravity = true;
		r.angularVelocity = spawnSpin * new Vector3(
			Random.Range( -1, 1 ),
			Random.Range( -1, 1 ),
			Random.Range( -1, 1 )	
		);
		r.velocity = -25 * Vector3.up;
		obj.GetComponent<Collider>().isTrigger = false;
	}
	
}
