﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class RigidbodyCementer : MonoBehaviour 
{
	// This class is for reducing the computational complexity
	// of having so many rigidbodies.
	// After a certain amount of time, they won't be moving much
	// anyway. So tell the engine that they won't move at all
	// to make it much easier to compute.

	public float cementTime = 15f;
	bool amCemented = false;

	void OnCollisionEnter( Collision collision )
	{
		if( !amCemented )
		{
			Invoke( "BecomeKinematic", cementTime );
			amCemented = true;
		}
	}

	void BecomeKinematic()
	{
		Rigidbody me = GetComponent<Rigidbody>();
		me.isKinematic = true;
		me.useGravity = false;
	}
}
